Name:           perl-bioperl-run
Version:        1.5.2_100
Release:        2%{?dist}
Summary:        Modules to provide a Perl interface to various bioinformatics applications

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://bioperl.org
Source0:        http://bioperl.org/DIST/bioperl-run-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Bio::Root::Version) >= 1.5.2
BuildRequires:  perl(Algorithm::Diff) >= 1
BuildRequires:  perl(XML::Parser::PerlSAX)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Bioperl-run contain modules that provide a Perl interface to various
bioinformatics applications. This allows various applications to be
used with common Bioperl objects.

%prep
%setup -q -n bioperl-run-%{version}

# remove all execute bits from the doc stuff
find examples -type f -exec chmod -x {} 2>/dev/null ';'
chmod -x INSTALL INSTALL.PROGRAMS

# remove deprecated modules (reported upstream and will be removed in
# _101 tarball)
rm Bio/Tools/Run/Phylo/Forester/SDI.pm Bio/Tools/Run/JavaRunner.pm Bio/Tools/Run/AbstractRunner.pm

%build
%{__perl} Build.PL --installdirs vendor << EOF
n
a
EOF

./Build

%install
rm -rf $RPM_BUILD_ROOT
perl Build pure_install --destdir=$RPM_BUILD_ROOT

# remove some spurious files
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
# remove errant execute bit from the .pm's
find $RPM_BUILD_ROOT -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'
# correct all binaries in /usr/bin to be 0755
find $RPM_BUILD_ROOT/%{_bindir} -type f -name '*.pl' -exec chmod 0755 {} 2>/dev/null ';'

%check
%{?_with_check:./Build test || :}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
## don't distribute "doc" "scripts" subdirectories, they don't contain docs
%doc examples
%doc AUTHORS Changes INSTALL INSTALL.PROGRAMS README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*    
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Tue Apr 18 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_100-2
- Remove deprecated modules that depend on non-existent
  Bio::Root::AccessorMaker

* Tue Apr 17 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_100-1
- Initial Fedora package.
